Hi,

Looks like ledger does not yet support the updated boost.

please look for an open ticket at

https://trac.macports.org/wiki/Tickets <https://trac.macports.org/wiki/Tickets>

and if there is none for this issue, open one.

cheers Chris

> On 14 Aug 2019, at 6:40 am, Kastus Shchuka <macpo...@tprfct.net> wrote:
> 
> Hi,
> 
> After doing “port upgrade outdated” boost was upgraded to 1.70.0_0, and it 
> triggered rebuild of ledger @3.1.1_4.
> 
> The error in 
> /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_finance_ledger/ledger/main.log
>  is this:
> 
> :info:configure -- Found PythonInterp: /opt/local/bin/python2.7 (found 
> version "2.7.16") 
> :info:configure -- Found PythonLibs: /opt/local/lib/libpython2.7.dylib (found 
> version "2.7.10") 
> :info:configure CMake Error at 
> /opt/local/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:137 
> (message):
> :info:configure   Could NOT find Boost (missing: python) (found suitable 
> version "1.70.0",
> :info:configure   minimum required is "1.49.0”)
> 
> This is the version of boost that I have after upgrade:
> 
>  boost @1.70.0_0+no_single+no_static+python27 (active)
> 
> Am I missing something obvious here?
> 
> Thanks,
> 
> Kastus
> 
> 

Attachment: smime.p7s
Description: S/MIME cryptographic signature

Reply via email to